Package: neutron-plugin-openvswitch-agent
Version: 2013.2-4
Severity: normal

ML2 and OVS share the same agent, but use different configuration files,
(/etc/neutron/plugins/ml2/ml2_conf.ini over
/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini)

The openvswith is already deprecated by ml2 in the havana release, but
the package doesn't provide the init script for ml2 agent.

I suggest add a debconf variable to control the agent config file, or
use the one in the neutron-common package.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages neutron-plugin-openvswitch-agent depends on:
ii  dpkg                1.17.1
ii  neutron-common      2013.2-4
ii  openvswitch-switch  1.10.1+git20130627-0ubuntu1
ii  sudo                1.8.8-2

Versions of packages neutron-plugin-openvswitch-agent recommends:
ii  openvswitch-datapath-dkms  1.10.1+git20130627-0ubuntu1

neutron-plugin-openvswitch-agent suggests no packages.

-- Configuration Files:
/etc/init.d/neutron-plugin-openvswitch-agent changed:
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Openstack Neutron OpenVSwitch Plugin Agent"
NAME=neutron-openvswitch-agent
DAEMON=/usr/bin/neutron-openvswitch-agent
DAEMON_ARGS="--config-file=/etc/neutron/neutron.conf 
--config-file=/etc/neutron/plugins/ml2/ml2_conf.ini 
--log-file=/var/log/neutron/ovs-agent.log"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
CONF_FILE=/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini
[ -x $DAEMON ] || exit 0
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
.. /lib/lsb/init-functions
do_start()
{
        if [ -x /usr/bin/neutron-ovs-cleanup ] ; then
                if [ ! -e /var/run/neutron-ovs-cleanup-performed ] ; then
                        /usr/bin/neutron-ovs-cleanup
                        touch /var/run/neutron-ovs-cleanup-performed
                fi
        fi
        start-stop-daemon --start --background --quiet --chuid neutron:neutron 
--make-pidfile --pidfile $PIDFILE --startas $DAEMON --test > /dev/null \
                || return 1
        start-stop-daemon --start --background --quiet --chuid neutron:neutron 
--make-pidfile --pidfile $PIDFILE --startas $DAEMON -- \
                $DAEMON_ARGS \
                || return 2
}
do_stop()
{
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile 
$PIDFILE
        RETVAL="$?"
        rm -f $PIDFILE
        return "$RETVAL"
}
case "$1" in
  start)
    log_daemon_msg "Starting $DESC" "$NAME"
    do_start
    case "$?" in
                0|1) log_end_msg 0 ;;
                2) log_end_msg 1 ;;
        esac
  ;;
  stop)
        log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) log_end_msg 0 ;;
                2) log_end_msg 1 ;;
        esac
        ;;
  status)
       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
       ;;
  restart|force-reload)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
esac
:


-- no debconf information


-- 
To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to